## class OSGDB_EXPORT osgDB::Input

> Class for managing the reading of ASCII osg files

## Inheritance:

### Public Methods

Input()
virtual ~Input()
virtual osg::Object* readObjectOfType(const osg::Object& compObj)
virtual osg::Object* readObjectOfType(const basic_type_wrapper &btw)
virtual osg::Object* readObject()
virtual osg::Image* readImage()
virtual osg::Drawable* readDrawable()
virtual osg::StateAttribute* readStateAttribute()
virtual osg::Node* readNode()
virtual osg::Object* readObject(const std::string& fileName)
virtual osg::Image* readImage(const std::string& fileName)
virtual osg::Node* readNode(const std::string& fileName)
virtual osg::Object* getObjectForUniqueID(const std::string& uniqueID)
virtual void regisiterUniqueIDForObject(const std::string& uniqueID, osg::Object* obj)

### Inherited from FieldReaderIterator:

### Public Methods

FieldReaderIterator& operator = (const FieldReaderIterator& ic)
void attach(std::istream* input)
void detach()
virtual bool eof() const
FieldReader& getFieldReader()
void insert(int pos, Field* field)
void insert(int pos, const char* str)
Field& operator [] (int pos)
Field& field(int pos)
FieldReaderIterator& operator ++ ()
FieldReaderIterator& operator += (int no)
void advanceOverCurrentFieldOrBlock()
void advanceToEndOfCurrentBlock()
void advanceToEndOfBlock(int noNestBrackets)
bool matchSequence(const char* str)
bool readSequence(const char* keyword, std::string& value)
bool readSequence(const char* keyword, unsigned int& value)
bool readSequence(const char* keyword, int& value)
bool readSequence(const char* keyword, float& value)
bool readSequence(const char* keyword, osg::Vec2& value)
bool readSequence(const char* keyword, osg::Vec3& value)
bool readSequence(const char* keyword, osg::Vec4& value)
bool readSequence(std::string& value)
bool readSequence(unsigned int& value)
bool readSequence(int& value)
bool readSequence(float& value)
bool readSequence(osg::Vec2& value)
bool readSequence(osg::Vec3& value)
bool readSequence(osg::Vec4& value)

### Public Members

enum

## Documentation

> Class for managing the reading of ASCII osg files

`Input()`

`virtual ~Input()`

`virtual osg::Object* readObjectOfType(const osg::Object& compObj)`

`virtual osg::Object* readObjectOfType(const basic_type_wrapper &btw)`

`virtual osg::Object* readObject()`

`virtual osg::Image* readImage()`

`virtual osg::Drawable* readDrawable()`

`virtual osg::StateAttribute* readStateAttribute()`

`virtual osg::Node* readNode()`

`virtual osg::Object* readObject(const std::string& fileName)`

`virtual osg::Image* readImage(const std::string& fileName)`

`virtual osg::Node* readNode(const std::string& fileName)`

`virtual osg::Object* getObjectForUniqueID(const std::string& uniqueID)`

`virtual void regisiterUniqueIDForObject(const std::string& uniqueID, osg::Object* obj)`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.